<?php

namespace App\Models\Application\User;

use App\Models\Core\BaseModel;

class SocialLink extends BaseModel
{
    protected $fillable = ['name', 'icon'];

    public function users()
    {
        return $this->belongsToMany(SocialLink::class, 'user_social_link', 'user_id', 'social_link_id')->withPivot('link');
    }

}
